"use strict";

var _recompose = require("recompose");

var _asyncReductions = require("./async-reductions");

test('setAsyncEntry', function () {
  var asyncState = {
    foo: 'foo'
  };
  expect((0, _asyncReductions.setAsyncEntry)(asyncState, 'bar', 'BAR')).toEqual({
    foo: 'foo',
    bar: 'BAR'
  });
  expect((0, _recompose.compose)((0, _asyncReductions.setAsyncEntry)('baz', 'BAZ'))(asyncState)).toEqual({
    foo: 'foo',
    baz: 'BAZ'
  });
});
test('delAsyncEntry', function () {
  var asyncState = {
    foo: 'foo'
  };
  expect((0, _asyncReductions.delAsyncEntry)(asyncState, 'foo')).toEqual({});
  expect((0, _recompose.compose)((0, _asyncReductions.delAsyncEntry)('foo'))(asyncState)).toEqual({});
});
test('clearAsync', function () {
  var asyncState = {
    foo: 'foo'
  };
  expect((0, _asyncReductions.clearAsync)()).toEqual({});
  expect((0, _asyncReductions.clearAsync)(asyncState)).toEqual({});
  expect((0, _recompose.compose)(_asyncReductions.clearAsync)(asyncState)).toEqual({});
});